#
# spec file for package smssend (Version 2.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         smssend
Copyright:    GPL
Group:        Applications/Internet
Autoreqprov:  on
Version:      2.7
Release:      33
Source:       %{name}-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-root
Summary:      interface to internet SMS forwarding services
URL:  http://zekiller.skytech.org/smssend_menu_en.html

%description
smssend is a utility providing a command line interface to
the GSM Short Message Service (SMS) via internet gateways.
It requires an active internet connection (HTTP proxy is
suitable) and may require a registration for such gateways.
The program is quite configurable for other gateways than
provided, examples are included.
Please keep in mind that these internet to SMS gateways may
not tolerate and may even forbid their usage via scripts.

Authors:
--------
    Christophe 'Ze KiLleR' Calmejane <zekiller@skytech.org>

SuSE series: ap

%prep
%setup
libtoolize --force
%{suse_update_config}

%build
%define prefix   /usr/
aclocal
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS"
CXXFLAGS="$RPM_OPT_FLAGS"
./configure --mandir=%{_mandir} \
                --prefix=%{prefix} \
                --infodir=%{_infodir} \
		--datadir=/usr/share \
 --disable-shared --enable-skyutils \
		--with-data-dir=/usr/share/xfce
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL ChangeLog AUTHORS COPYING NEWS  README AUTHORS
/usr/bin/smssend
/usr/bin/email2smssend
/usr/share/smssend/
/usr/share/man/man1/

%changelog -n smssend
* Thu Aug 02 2001 - dan@suse.cz
- update to 2.7 version
- use bzip instead of gzip
* Mon Jun 11 2001 - pblaha@suse.cz
- add libtoolize --force for build
* Tue Mar 20 2001 - pblaha@suse.cz
- create this package for easy use SMS
